// soap12testhdrdoc.idl : IDL source for soap12testhdrdoc
//

// This file will be processed by the MIDL tool to
// produce the type library (soap12testhdrdoc.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

[
	object,
	uuid(3730E756-27B9-4EBE-92F7-E2E2AC7B1AA9),
	dual,
	nonextensible,
	helpstring("Isoap12testhdrdoc Interface"),
	pointer_default(unique)
]
interface Isoap12testhdrdoc : IDispatch{
	[id(1), helpstring("method OnProcessHeader")] HRESULT OnProcessHeader([in] VARIANT SOAPMsgInterface, [out, retval] VARIANT_BOOL *pResult);
	[id(2), helpstring("method OnTestMUHeaderBlock")] HRESULT OnTestMUHeaderBlock([in] BSTR bstrNamespace, [in] BSTR bstrLocalName, [out, retval] VARIANT_BOOL *pResult);
};
[
	uuid(583B4248-661B-492D-B8B7-013B14E76CFC),
	version(1.0),
	helpstring("soap12testhdrdoc 1.0 Type Library")
]
library soap12testhdrdocLib
{
	importlib("stdole2.tlb");
	[
		uuid(49107DF8-8938-45A8-B322-44995F29FE00),
		helpstring("soap12testhdrdoc Class")
	]
	coclass soap12testhdrdoc
	{
		[default] interface Isoap12testhdrdoc;
	};
};
